diff -Nru adminer-4.2.1/editor/include/adminer.inc.php adminer-4.2.4/editor/include/adminer.inc.php
--- adminer-4.2.1/editor/include/adminer.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/editor/include/adminer.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -4,7 +4,7 @@
 	var $_values = array();
 
 	function name() {
-		return "<a href='http://www.adminer.org/editor/' target='_blank' id='h1'>" . lang('Editor') . "</a>";
+		return "<a href='https://www.adminer.org/editor/' target='_blank' id='h1'>" . lang('Editor') . "</a>";
 	}
 
 	//! driver, ns
@@ -548,7 +548,7 @@
 		?>
 <h1>
 <?php echo $this->name(); ?> <span class="version"><?php echo $VERSION; ?></span>
-<a href="http://www.adminer.org/editor/#download" target="_blank" id="version"><?php echo (version_compare($VERSION, $_COOKIE["adminer_version"]) < 0 ? h($_COOKIE["adminer_version"]) : ""); ?></a>
+<a href="https://www.adminer.org/editor/#download" target="_blank" id="version"><?php echo (version_compare($VERSION, $_COOKIE["adminer_version"]) < 0 ? h($_COOKIE["adminer_version"]) : ""); ?></a>
 </h1>
 <?php
 		if ($missing == "auth") {
diff -Nru adminer-4.2.1/editor/index.php adminer-4.2.4/editor/index.php
--- adminer-4.2.1/editor/index.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/editor/index.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,6 +1,6 @@
 <?php
 /** Adminer Editor - Compact database editor
-* @link http://www.adminer.org/
+* @link https://www.adminer.org/
 * @author Jakub Vrana, http://www.vrana.cz/
 * @copyright 2009 Jakub Vrana
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
diff -Nru adminer-4.2.1/.gitignore adminer-4.2.4/.gitignore
--- adminer-4.2.1/.gitignore	1969-12-31 16:00:00.000000000 -0800
+++ adminer-4.2.4/.gitignore	2016-02-06 11:10:16.000000000 -0800
@@ -0,0 +1,4 @@
+/adminer/adminer.css
+/adminer*.php
+/editor*.php
+/vendor/
diff -Nru adminer-4.2.1/.gitmodules adminer-4.2.4/.gitmodules
--- adminer-4.2.1/.gitmodules	1969-12-31 16:00:00.000000000 -0800
+++ adminer-4.2.4/.gitmodules	2016-02-06 11:10:16.000000000 -0800
@@ -0,0 +1,9 @@
+[submodule "jush"]
+	path = externals/jush
+	url = git://git.code.sf.net/p/jush/git
+[submodule "wymeditor"]
+	path = externals/wymeditor
+	url = git://github.com/wymeditor/wymeditor.git
+[submodule "JsShrink"]
+	path = externals/JsShrink
+	url = git://github.com/vrana/JsShrink.git
diff -Nru adminer-4.2.1/plugins/database-hide.php adminer-4.2.4/plugins/database-hide.php
--- adminer-4.2.1/plugins/database-hide.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/database-hide.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Hide some databases from the interface - just to improve design, not a security plugin
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -12,7 +12,7 @@
 	/**
 	* @param array case insensitive database names in values
 	*/
-	function AdminerDatabaseHide($disabled) {
+	function __construct($disabled) {
 		$this->disabled = array_map('strtolower', $disabled);
 	}
 	
diff -Nru adminer-4.2.1/plugins/dump-alter.php adminer-4.2.4/plugins/dump-alter.php
--- adminer-4.2.1/plugins/dump-alter.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/dump-alter.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Exports one database (e.g. development) so that it can be synced with other database (e.g. production)
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/dump-bz2.php adminer-4.2.4/plugins/dump-bz2.php
--- adminer-4.2.1/plugins/dump-bz2.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/dump-bz2.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Dump to Bzip2 format
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @uses bzopen(), tempnam("")
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
diff -Nru adminer-4.2.1/plugins/dump-date.php adminer-4.2.4/plugins/dump-date.php
--- adminer-4.2.1/plugins/dump-date.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/dump-date.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Include current date and time in export filename
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/dump-json.php adminer-4.2.4/plugins/dump-json.php
--- adminer-4.2.1/plugins/dump-json.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/dump-json.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Dump to JSON format
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/dump-xml.php adminer-4.2.4/plugins/dump-xml.php
--- adminer-4.2.1/plugins/dump-xml.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/dump-xml.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Dump to XML format in structure <database name=""><table name=""><column name="">value
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/dump-zip.php adminer-4.2.4/plugins/dump-zip.php
--- adminer-4.2.1/plugins/dump-zip.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/dump-zip.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Dump to ZIP format
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @uses ZipArchive, tempnam("")
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
diff -Nru adminer-4.2.1/plugins/edit-calendar.php adminer-4.2.4/plugins/edit-calendar.php
--- adminer-4.2.1/plugins/edit-calendar.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/edit-calendar.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Display jQuery UI Timepicker for each date and datetime field
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @uses jQuery-Timepicker, http://trentrichardson.com/examples/timepicker/
 * @uses jQuery UI: core, widget, mouse, slider, datepicker
 * @author Jakub Vrana, http://www.vrana.cz/
@@ -16,7 +16,7 @@
 	* @param string text to append before first calendar usage
 	* @param string path to language file, %s stands for language code
 	*/
-	function AdminerEditCalendar($prepend = "<script type='text/javascript' src='jquery-ui/jquery.js'></script>\n<script type='text/javascript' src='jquery-ui/jquery-ui.js'></script>\n<script type='text/javascript' src='jquery-ui/jquery-ui-timepicker-addon.js'></script>\n<link rel='stylesheet' type='text/css' href='jquery-ui/jquery-ui.css'>\n", $langPath = "jquery-ui/i18n/jquery.ui.datepicker-%s.js") {
+	function __construct($prepend = "<script type='text/javascript' src='jquery-ui/jquery.js'></script>\n<script type='text/javascript' src='jquery-ui/jquery-ui.js'></script>\n<script type='text/javascript' src='jquery-ui/jquery-ui-timepicker-addon.js'></script>\n<link rel='stylesheet' type='text/css' href='jquery-ui/jquery-ui.css'>\n", $langPath = "jquery-ui/i18n/jquery.ui.datepicker-%s.js") {
 		$this->prepend = $prepend;
 		$this->langPath = $langPath;
 	}
diff -Nru adminer-4.2.1/plugins/edit-foreign.php adminer-4.2.4/plugins/edit-foreign.php
--- adminer-4.2.1/plugins/edit-foreign.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/edit-foreign.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Select foreign key in edit form
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -9,7 +9,7 @@
 class AdminerEditForeign {
 	var $_limit;
 	
-	function AdminerEditForeign($limit = 0) {
+	function __construct($limit = 0) {
 		$this->_limit = $limit;
 	}
 	
diff -Nru adminer-4.2.1/plugins/edit-textarea.php adminer-4.2.4/plugins/edit-textarea.php
--- adminer-4.2.1/plugins/edit-textarea.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/edit-textarea.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Use <textarea> for char and varchar
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/email-table.php adminer-4.2.4/plugins/email-table.php
--- adminer-4.2.1/plugins/email-table.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/email-table.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Get e-mail subject and message from database (Adminer Editor)
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -17,7 +17,7 @@
 	* @param string quoted column name
 	* @param string quoted column name
 	*/
-	function AdminerEmailTable($table = "email", $id = "id", $title = "subject", $subject = "subject", $message = "message") {
+	function __construct($table = "email", $id = "id", $title = "subject", $subject = "subject", $message = "message") {
 		$this->table = $table;
 		$this->id = $id;
 		$this->title = $title;
diff -Nru adminer-4.2.1/plugins/enum-option.php adminer-4.2.4/plugins/enum-option.php
--- adminer-4.2.1/plugins/enum-option.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/enum-option.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Use <select><option> for enum edit instead of <input type="radio">
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/file-upload.php adminer-4.2.4/plugins/file-upload.php
--- adminer-4.2.1/plugins/file-upload.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/file-upload.php	2016-02-06 11:10:16.000000000 -0800
@@ -2,7 +2,7 @@
 //! delete
 
 /** Edit fields ending with "_path" by <input type="file"> and link to the uploaded files from select
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -16,7 +16,7 @@
 	* @param string prefix for displaying data, null stands for $uploadPath
 	* @param string regular expression with allowed file extensions
 	*/
-	function AdminerFileUpload($uploadPath = "../static/data/", $displayPath = null, $extensions = "[a-zA-Z0-9]+") {
+	function __construct($uploadPath = "../static/data/", $displayPath = null, $extensions = "[a-zA-Z0-9]+") {
 		$this->uploadPath = $uploadPath;
 		$this->displayPath = ($displayPath !== null ? $displayPath : $uploadPath);
 		$this->extensions = $extensions;
diff -Nru adminer-4.2.1/plugins/foreign-system.php adminer-4.2.4/plugins/foreign-system.php
--- adminer-4.2.1/plugins/foreign-system.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/foreign-system.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Link system tables (in mysql and information_schema databases) by foreign keys
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/frames.php adminer-4.2.4/plugins/frames.php
--- adminer-4.2.1/plugins/frames.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/frames.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Allow using Adminer inside a frame (disables ClickJacking protection)
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -13,7 +13,7 @@
 	/**
 	* @param bool allow running from the same origin only
 	*/
-	function AdminerFrames($sameOrigin = false) {
+	function __construct($sameOrigin = false) {
 		$this->sameOrigin = $sameOrigin;
 	}
 	
diff -Nru adminer-4.2.1/plugins/json-column.php adminer-4.2.4/plugins/json-column.php
--- adminer-4.2.1/plugins/json-column.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/json-column.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Display JSON values as table in edit
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @author Martin Zeman (Zemistr), http://www.zemistr.eu/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
diff -Nru adminer-4.2.1/plugins/links-direct.php adminer-4.2.4/plugins/links-direct.php
--- adminer-4.2.1/plugins/links-direct.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/links-direct.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Avoid redirecting of external links through adminer.org and disclose the URL of installed Adminer to visited links
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/login-servers.php adminer-4.2.4/plugins/login-servers.php
--- adminer-4.2.1/plugins/login-servers.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/login-servers.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Display constant list of servers in login form
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -14,7 +14,7 @@
 	* @param array array($domain) or array($domain => $description) or array($category => array())
 	* @param string
 	*/
-	function AdminerLoginServers($servers, $driver = "server") {
+	function __construct($servers, $driver = "server") {
 		$this->servers = $servers;
 		$this->driver = $driver;
 	}
diff -Nru adminer-4.2.1/plugins/login-table.php adminer-4.2.4/plugins/login-table.php
--- adminer-4.2.1/plugins/login-table.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/login-table.php	2016-02-06 11:10:16.000000000 -0800
@@ -10,7 +10,7 @@
 */
 
 /** Authenticate a user from the login table
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -22,7 +22,7 @@
 	/** Set database of login table
 	* @param string
 	*/
-	function AdminerLoginTable($database) {
+	function __construct($database) {
 		$this->database = $database;
 	}
 	
diff -Nru adminer-4.2.1/plugins/master-slave.php adminer-4.2.4/plugins/master-slave.php
--- adminer-4.2.1/plugins/master-slave.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/master-slave.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Execute writes on master and reads on slave
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -12,7 +12,7 @@
 	/**
 	* @param array ($slave => $master)
 	*/
-	function AdminerMasterSlave($masters) {
+	function __construct($masters) {
 		$this->masters = $masters;
 	}
 	
diff -Nru adminer-4.2.1/plugins/plugin.php adminer-4.2.4/plugins/plugin.php
--- adminer-4.2.1/plugins/plugin.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/plugin.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Adminer customization allowing usage of plugins
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -20,7 +20,7 @@
 	/** Register plugins
 	* @param array object instances or null to register all classes starting by 'Adminer'
 	*/
-	function AdminerPlugin($plugins) {
+	function __construct($plugins) {
 		if ($plugins === null) {
 			$plugins = array();
 			foreach (get_declared_classes() as $class) {
@@ -80,7 +80,7 @@
 		return $this->_appendPlugin(__FUNCTION__, $args);
 	}
 
-	function editFunctions() {
+	function editFunctions($field) {
 		$args = func_get_args();
 		return $this->_appendPlugin(__FUNCTION__, $args);
 	}
@@ -97,7 +97,7 @@
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function permanentLogin() {
+	function permanentLogin($create = false) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
@@ -112,7 +112,7 @@
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function databases() {
+	function databases($flush = true) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
@@ -137,97 +137,97 @@
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function login() {
+	function login($login, $password) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function tableName() {
+	function tableName($tableStatus) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function fieldName() {
+	function fieldName($field, $order = 0) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectLinks() {
+	function selectLinks($tableStatus, $set = "") {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function foreignKeys() {
+	function foreignKeys($table) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function backwardKeys() {
+	function backwardKeys($table, $tableName) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function backwardKeysPrint() {
+	function backwardKeysPrint($backwardKeys, $row) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectQuery() {
+	function selectQuery($query, $time) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function rowDescription() {
+	function rowDescription($table) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function rowDescriptions() {
+	function rowDescriptions($rows, $foreignKeys) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectLink() {
+	function selectLink($val, $field) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectVal() {
+	function selectVal($val, $link, $field, $original) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function editVal() {
+	function editVal($val, $field) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectColumnsPrint() {
+	function selectColumnsPrint($select, $columns) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectSearchPrint() {
+	function selectSearchPrint($where, $columns, $indexes) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectOrderPrint() {
+	function selectOrderPrint($order, $columns, $indexes) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectLimitPrint() {
+	function selectLimitPrint($limit) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectLengthPrint() {
+	function selectLengthPrint($text_length) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectActionPrint() {
+	function selectActionPrint($indexes) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
@@ -242,22 +242,22 @@
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectEmailPrint() {
+	function selectEmailPrint($emailFields, $columns) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectColumnsProcess() {
+	function selectColumnsProcess($columns, $indexes) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectSearchProcess() {
+	function selectSearchProcess($fields, $indexes) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectOrderProcess() {
+	function selectOrderProcess($fields, $indexes) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
@@ -272,52 +272,52 @@
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectEmailProcess() {
+	function selectEmailProcess($where, $foreignKeys) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function selectQueryBuild() {
+	function selectQueryBuild($select, $where, $group, $order, $limit, $page) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function messageQuery() {
+	function messageQuery($query, $time) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function editInput() {
+	function editInput($table, $field, $attrs, $value) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function processInput() {
+	function processInput($field, $value, $function = "") {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function dumpDatabase() {
+	function dumpDatabase($db) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function dumpTable() {
+	function dumpTable($table, $style, $is_view = 0) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function dumpData() {
+	function dumpData($table, $style, $query) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function dumpFilename() {
+	function dumpFilename($identifier) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function dumpHeaders() {
+	function dumpHeaders($identifier, $multi_table = false) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
@@ -327,17 +327,17 @@
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function navigation() {
+	function navigation($missing) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function databasesPrint() {
+	function databasesPrint($missing) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
 
-	function tablesPrint() {
+	function tablesPrint($tables) {
 		$args = func_get_args();
 		return $this->_applyPlugin(__FUNCTION__, $args);
 	}
diff -Nru adminer-4.2.1/plugins/slugify.php adminer-4.2.4/plugins/slugify.php
--- adminer-4.2.1/plugins/slugify.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/slugify.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Prefill field containing "_slug" with slugified value of a previous field (JavaScript)
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -14,7 +14,7 @@
 	* @param string find these characters ...
 	* @param string ... and replace them by these
 	*/
-	function AdminerSlugify($from = '??????????????????????????????', $to = 'acdeeinorstuuyz') {
+	function __construct($from = '??????????????????????????????', $to = 'acdeeinorstuuyz') {
 		$this->from = $from;
 		$this->to = $to;
 	}
diff -Nru adminer-4.2.1/plugins/sql-log.php adminer-4.2.4/plugins/sql-log.php
--- adminer-4.2.1/plugins/sql-log.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/sql-log.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Log all queries to SQL file (manual queries through SQL command are not logged)
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
@@ -13,7 +13,7 @@
 	/**
 	* @param string defaults to "$database.sql"
 	*/
-	function AdminerSqlLog($filename = "") {
+	function __construct($filename = "") {
 		$this->filename = $filename;
 	}
 	
diff -Nru adminer-4.2.1/plugins/tables-filter.php adminer-4.2.4/plugins/tables-filter.php
--- adminer-4.2.1/plugins/tables-filter.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/tables-filter.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Use filter in tables list
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/tinymce.php adminer-4.2.4/plugins/tinymce.php
--- adminer-4.2.1/plugins/tinymce.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/tinymce.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Edit all fields containing "_html" by HTML editor TinyMCE and display the HTML in select
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @uses TinyMCE, http://tinymce.moxiecode.com/
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
@@ -14,7 +14,7 @@
 	/**
 	* @param string
 	*/
-	function AdminerTinymce($path = "tiny_mce/tiny_mce.js") {
+	function __construct($path = "tiny_mce/tiny_mce.js") {
 		$this->path = $path;
 	}
 
diff -Nru adminer-4.2.1/plugins/translation.php adminer-4.2.4/plugins/translation.php
--- adminer-4.2.1/plugins/translation.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/translation.php	2016-02-06 11:10:16.000000000 -0800
@@ -11,7 +11,7 @@
 */
 
 /** Translate all table and field comments, enum and set values from the translation table (inserts new translations)
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/version-noverify.php adminer-4.2.4/plugins/version-noverify.php
--- adminer-4.2.1/plugins/version-noverify.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/version-noverify.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Disable version checker
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
diff -Nru adminer-4.2.1/plugins/wymeditor.php adminer-4.2.4/plugins/wymeditor.php
--- adminer-4.2.1/plugins/wymeditor.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/plugins/wymeditor.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,7 +1,7 @@
 <?php
 
 /** Edit all fields containing "_html" by HTML editor WYMeditor and display the HTML in select
-* @link http://www.adminer.org/plugins/#use
+* @link https://www.adminer.org/plugins/#use
 * @uses WYMeditor, http://www.wymeditor.org/
 * @author Jakub Vrana, http://www.vrana.cz/
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
@@ -15,7 +15,7 @@
 	* @param array
 	* @param string in format "skin: 'custom', preInit: function () { }"
 	*/
-	function AdminerWymeditor($scripts = array("jquery/jquery.js", "wymeditor/jquery.wymeditor.min.js"), $options = "") {
+	function __construct($scripts = array("jquery/jquery.js", "wymeditor/jquery.wymeditor.min.js"), $options = "") {
 		$this->scripts = $scripts;
 		$this->options = $options;
 	}
